Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#625 closed enhancement (fixed)

small fixes to some libchip/network drivers

Reported by: strauman Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: bsps Version: 4.6
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

  • prevent name clashes by making 'ld_le32()' etc. static inlines
  • let dec21140 attach routine return an error rather than panic if no chip is detected (thus allowing for probing).
  • let elnk bail out if autoneg never completes instead of looping forever
  • avoid divide by zero (crashed my PC)
  • enable more fxp chip variants but warn that they are UNTESTED

Release:
RTEMS-4.6

Environment:
libchip/network/

  • dec21140
  • fxp
  • elnk

Attachments (1)

libchip_network_fixes.diff (7.6 KB) - added by strauman on 12/03/06 at 13:31:12.
libchip_network_fixes.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 05/21/04 at 14:19:09 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to both trunk and 4.6 branch.

Changed on 12/03/06 at 13:31:12 by strauman

Attachment: libchip_network_fixes.diff added

libchip_network_fixes.diff

Note: See TracTickets for help on using tickets.